{ config, lib, pkgs, ... }:

with lib;

let
  cfg = config.settings.applications.typst;
in {
  options = {
    settings.applications.typst.enable = lib.mkOption {
      type = lib.types.bool;
      description = ''
        Enable typst
      '';
      default = false;
    };
  };

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      unstable.typst
      unstable.typst-live
    ];
  };
}
